Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module monitor Methods

## SetImageProgressMonitor

SetImageProgressMonitor() sets the image progress monitor to the specified method and returns the previous progress monitor if any. The progress monitor method looks like this:

          MagickBooleanType MagickProgressMonitor(const char *text,
      const MagickOffsetType offset,const MagickSizeType extent,
      void *client_data)

If the progress monitor returns MagickFalse, the current operation is interrupted.

The format of the SetImageProgressMonitor method is:

      MagickProgressMonitor SetImageProgressMonitor(Image *image,
        const MagickProgressMonitor progress_monitor,void *client_data)

A description of each parameter follows:

##### image

the image.

##### progress_monitor

Specifies a pointer to a method to monitor progress of an image operation.

##### client_data

Specifies a pointer to any client data.

## SetImageInfoProgressMonitor

SetImageInfoProgressMonitor() sets the image_info progress monitor to the specified method and returns the previous progress monitor if any. The progress monitor method looks like this:

          MagickBooleanType MagickProgressMonitor(const char *text,
      const MagickOffsetType offset,const MagickSizeType extent,
      void *client_data)

If the progress monitor returns MagickFalse, the current operation is interrupted.

The format of the SetImageInfoProgressMonitor method is:

      MagickProgressMonitor SetImageInfoProgressMonitor(ImageInfo *image_info,
        const MagickProgressMonitor progress_monitor,void *client_data)

A description of each parameter follows:

##### image_info

the image info.

##### progress_monitor

Specifies a pointer to a method to monitor progress of an image operation.

##### client_data

Specifies a pointer to any client data.

Discourse Server • Studio